summaryrefslogtreecommitdiffstats
path: root/run.in
diff options
context:
space:
mode:
Diffstat (limited to 'run.in')
-rw-r--r--run.in4
1 files changed, 2 insertions, 2 deletions
diff --git a/run.in b/run.in
index 0aa3b75a..0f9b8eb0 100644
--- a/run.in
+++ b/run.in
@@ -90,13 +90,13 @@ else
# only print the file if the test fails.
fail=0
pid=$$
- rm -f run.$pid
+ rm -f $b/run.$pid
$libtool "$@" > $b/run.$pid 2>&1 || {
fail=$?
echo "$b/run --test" "$@"
cat $b/run.$pid
echo "$b/run: command failed with exit code $fail"
}
- rm -f run.$pid
+ rm -f $b/run.$pid
exit $fail
fi